<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::TestInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1TestInfo.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">testing::TestInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a82a84ffd0e4d18eb5a3f97a2077e12cc"><td class="memItemLeft" align="right" valign="top"><a id="a82a84ffd0e4d18eb5a3f97a2077e12cc"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>test_suite_name</b> () const</td></tr>
<tr class="separator:a82a84ffd0e4d18eb5a3f97a2077e12cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a036a20710c8c2252889544daba9a8ff9"><td class="memItemLeft" align="right" valign="top"><a id="a036a20710c8c2252889544daba9a8ff9"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>test_case_name</b> () const</td></tr>
<tr class="separator:a036a20710c8c2252889544daba9a8ff9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2581b45eccc9a3b94cb41c4807d0e34"><td class="memItemLeft" align="right" valign="top"><a id="ac2581b45eccc9a3b94cb41c4807d0e34"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>name</b> () const</td></tr>
<tr class="separator:ac2581b45eccc9a3b94cb41c4807d0e34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7759bc57f4350ad406cbbb0b3bcea320"><td class="memItemLeft" align="right" valign="top"><a id="a7759bc57f4350ad406cbbb0b3bcea320"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>type_param</b> () const</td></tr>
<tr class="separator:a7759bc57f4350ad406cbbb0b3bcea320"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdf2c6cfcf4819e725816c64e1c1fc24"><td class="memItemLeft" align="right" valign="top"><a id="abdf2c6cfcf4819e725816c64e1c1fc24"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>value_param</b> () const</td></tr>
<tr class="separator:abdf2c6cfcf4819e725816c64e1c1fc24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b74d79cf618ce5bb0d0b1da75ee8b35"><td class="memItemLeft" align="right" valign="top"><a id="a9b74d79cf618ce5bb0d0b1da75ee8b35"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>file</b> () const</td></tr>
<tr class="separator:a9b74d79cf618ce5bb0d0b1da75ee8b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5931cfc594b5d660c56b3c61c41ea13"><td class="memItemLeft" align="right" valign="top"><a id="af5931cfc594b5d660c56b3c61c41ea13"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>line</b> () const</td></tr>
<tr class="separator:af5931cfc594b5d660c56b3c61c41ea13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8621f2cf7623fd1609db8e324f0c2fec"><td class="memItemLeft" align="right" valign="top"><a id="a8621f2cf7623fd1609db8e324f0c2fec"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_in_another_shard</b> () const</td></tr>
<tr class="separator:a8621f2cf7623fd1609db8e324f0c2fec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a866e33b5bc5ab2a6e5375fc7d3af0f96"><td class="memItemLeft" align="right" valign="top"><a id="a866e33b5bc5ab2a6e5375fc7d3af0f96"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>should_run</b> () const</td></tr>
<tr class="separator:a866e33b5bc5ab2a6e5375fc7d3af0f96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63e7042028b0b846f4b5a1e5bcffc079"><td class="memItemLeft" align="right" valign="top"><a id="a63e7042028b0b846f4b5a1e5bcffc079"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_reportable</b> () const</td></tr>
<tr class="separator:a63e7042028b0b846f4b5a1e5bcffc079"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8cb884c95cd446129aba936b4159e0"><td class="memItemLeft" align="right" valign="top"><a id="aee8cb884c95cd446129aba936b4159e0"></a>
const <a class="el" href="classtesting_1_1TestResult.html">TestResult</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>result</b> () const</td></tr>
<tr class="separator:aee8cb884c95cd446129aba936b4159e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a5b78b1c2e1fa07ffed92da365593eaa4"><td class="memItemLeft" align="right" valign="top"><a id="a5b78b1c2e1fa07ffed92da365593eaa4"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>Test</b></td></tr>
<tr class="separator:a5b78b1c2e1fa07ffed92da365593eaa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9aaba231fd11196425e75caf709bfc6"><td class="memItemLeft" align="right" valign="top"><a id="ab9aaba231fd11196425e75caf709bfc6"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>TestSuite</b></td></tr>
<tr class="separator:ab9aaba231fd11196425e75caf709bfc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc0a5e7573fd6ae7ad1878613bb86853"><td class="memItemLeft" align="right" valign="top"><a id="acc0a5e7573fd6ae7ad1878613bb86853"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::UnitTestImpl</b></td></tr>
<tr class="separator:acc0a5e7573fd6ae7ad1878613bb86853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc037d188dab349a94868991955c9cd4"><td class="memItemLeft" align="right" valign="top"><a id="adc037d188dab349a94868991955c9cd4"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>internal::StreamingListenerTest</b></td></tr>
<tr class="separator:adc037d188dab349a94868991955c9cd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63d61c7ffd0423b1d3615f0ff5f2040e"><td class="memItemLeft" align="right" valign="top"><a id="a63d61c7ffd0423b1d3615f0ff5f2040e"></a>
<a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>internal::MakeAndRegisterTestInfo</b> (const char *test_suite_name, const char *name, const char *type_param, const char *value_param, <a class="el" href="structtesting_1_1internal_1_1CodeLocation.html">internal::CodeLocation</a> code_location, internal::TypeId fixture_class_id, internal::SetUpTestSuiteFunc set_up_tc, internal::TearDownTestSuiteFunc tear_down_tc, <a class="el" href="classtesting_1_1internal_1_1TestFactoryBase.html">internal::TestFactoryBase</a> *factory)</td></tr>
<tr class="separator:a63d61c7ffd0423b1d3615f0ff5f2040e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="gtest_8h_source.html">gtest.h</a></li>
<li>gtest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
